diff -uNr rsync-2.6.0.orig/PATCH/rc.config.rsyncd rsync-2.6.0/PATCH/rc.config.rsyncd
--- rsync-2.6.0.orig/PATCH/rc.config.rsyncd	Thu Jan  1 01:00:00 1970
+++ rsync-2.6.0/PATCH/rc.config.rsyncd	Fri Apr 25 19:46:05 2003
@@ -0,0 +1,6 @@
+#
+# Set this to 'yes', if you want to start the rsync server
+# as daemon instead via /etc/(x)inetd.conf.
+#
+START_RSYNCD=no
+
diff -uNr rsync-2.6.0.orig/PATCH/rsyncd rsync-2.6.0/PATCH/rsyncd
--- rsync-2.6.0.orig/PATCH/rsyncd	Thu Jan  1 01:00:00 1970
+++ rsync-2.6.0/PATCH/rsyncd	Fri Apr 25 19:46:05 2003
@@ -0,0 +1,145 @@
+#! /bin/sh
+# Copyright (c) 1995-2000 SuSE GmbH Nuernberg, Germany.
+#
+# Author: Kurt Garloff <feedback@suse.de>
+#
+# init.d/rsyncd
+#
+#   and symbolic its link
+#
+# /sbin/rcrsyncd
+#
+# System startup script for the nessus backend nessusd
+#
+### BEGIN INIT INFO
+# Provides: rsync
+# Required-Start: $remote_fs $syslog
+# Required-Stop:  $remote_fs $syslog
+# Default-Start:  3 5
+# Default-Stop:   0 1 2 6
+# Description:    Start the rsync server daemon
+### END INIT INFO
+
+# Source SuSE config
+. /etc/rc.config
+
+# Determine the base and follow a runlevel link name.
+base=${0##*/}
+link=${base#*[SK][0-9][0-9]}
+
+# Force execution if not called by a runlevel directory.
+test $link = $base && START_RSYNCD=yes
+test "$START_RSYNCD" = yes || exit 0
+
+RSYNCD_BIN=/usr/sbin/rsyncd
+test -x $RSYNCD_BIN || exit 5
+
+# Shell functions sourced from /etc/rc.status:
+#      rc_check         check and set local and overall rc status
+#      rc_status        check and set local and overall rc status
+#      rc_status -v     ditto but be verbose in local rc status
+#      rc_status -v -r  ditto and clear the local rc status
+#      rc_failed        set local and overall rc status to failed
+#      rc_failed <num>  set local and overall rc status to <num><num>
+#      rc_reset         clear local rc status (overall remains)
+#      rc_exit          exit appropriate to overall rc status
+. /etc/rc.status
+
+# First reset status of this service
+rc_reset
+
+# Return values acc. to LSB for all commands but status:
+# 0 - success
+# 1 - generic or unspecified error
+# 2 - invalid or excess argument(s)
+# 3 - unimplemented feature (e.g. "reload")
+# 4 - insufficient privilege
+# 5 - program is not installed
+# 6 - program is not configured
+# 7 - program is not running
+# 
+# Note that starting an already running service, stopping
+# or restarting a not-running service as well as the restart
+# with force-reload (in case signalling is not supported) are
+# considered a success.
+
+case "$1" in
+    start)
+	echo -n "Starting rsync daemon"
+	## Start daemon with startproc(8). If this fails
+	## the echo return value is set appropriate.
+
+	# NOTE: startproc return 0, even if service is 
+	# already running to match LSB spec.
+	startproc $RSYNCD_BIN --daemon
+
+	# Remember status and be verbose
+	rc_status -v
+	;;
+    stop)
+	echo -n "Shutting down rsync daemon"
+	## Stop daemon with killproc(8) and if this fails
+	## set echo the echo return value.
+
+	killproc -TERM $RSYNCD_BIN
+
+	# Remember status and be verbose
+	rc_status -v
+	;;
+    try-restart)
+	## Stop the service and if this succeeds (i.e. the 
+	## service was running before), start it again.
+	## Note: try-restart is not (yet) part of LSB (as of 0.7.5)
+	$0 status >/dev/null &&  $0 restart
+
+	# Remember status and be quiet
+	rc_status
+	;;
+    restart)
+	## Stop the service and regardless of whether it was
+	## running or not, start it again.
+	$0 stop
+	$0 start
+
+	# Remember status and be quiet
+	rc_status
+	;;
+    force-reload)
+	## Signal the daemon to reload its config. Most daemons
+	## do this on signal 1 (SIGHUP).
+	## If it does not support it, restart.
+
+	echo -n "Reload service rsync"
+	killproc -HUP $RSYNCD_BIN
+	rc_status -v
+	;;
+    reload)
+	## Like force-reload, but if daemon does not support
+	## signalling, do nothing (!)
+
+	# If it supports signalling:
+	echo -n "Reload service rsync"
+	killproc -HUP $RSYNCD_BIN
+	rc_status -v
+	;;
+    status)
+	echo -n "Checking for rsync daemon: "
+	## Check status with checkproc(8), if process is running
+	## checkproc will return with exit status 0.
+
+	# Status has a slightly different for the status command:
+	# 0 - service running
+	# 1 - service dead, but /var/run/  pid  file exists
+	# 2 - service dead, but /var/lock/ lock file exists
+	# 3 - service not running
+
+	# NOTE: checkproc returns LSB compliant status values.
+	checkproc $RSYNCD_BIN
+	rc_status -v
+	;;
+    *)
+	echo "Usage: $0 {start|stop|status|try-restart|restart|force-reload|reload}"
+	exit 1
+	;;
+esac
+rc_exit
diff -uNr rsync-2.6.0.orig/PATCH/rsyncd.conf rsync-2.6.0/PATCH/rsyncd.conf
--- rsync-2.6.0.orig/PATCH/rsyncd.conf	Thu Jan  1 01:00:00 1970
+++ rsync-2.6.0/PATCH/rsyncd.conf	Fri Apr 25 19:46:05 2003
@@ -0,0 +1,13 @@
+gid = users
+read only = true
+use chroot = true
+transfer logging = true
+log format = %h %o %f %l %b
+log file = /var/log/rsyncd.log
+hosts allow = trusted.hosts
+
+#[Example]
+#	path = /home/Example
+#	comment = An Example
+#	auth users = user
+#	secrets file = /etc/rsyncd.secrets
diff -uNr rsync-2.6.0.orig/PATCH/rsyncd.secrets rsync-2.6.0/PATCH/rsyncd.secrets
--- rsync-2.6.0.orig/PATCH/rsyncd.secrets	Thu Jan  1 01:00:00 1970
+++ rsync-2.6.0/PATCH/rsyncd.secrets	Fri Apr 25 19:46:05 2003
@@ -0,0 +1 @@
+# user:passwd
diff -uNr rsync-2.6.0.orig/PATCH/rsyncstats.diff rsync-2.6.0/PATCH/rsyncstats.diff
--- rsync-2.6.0.orig/PATCH/rsyncstats.diff	Thu Jan  1 01:00:00 1970
+++ rsync-2.6.0/PATCH/rsyncstats.diff	Fri Apr 25 19:46:05 2003
@@ -0,0 +1,11 @@
+--- rsyncstats
++++ rsyncstats  2001/08/28 10:34:06
+@@ -23,7 +23,7 @@
+ # ---------------------------------------------------------------------------
+ 
+ # edit the next line to customize for your default log file
+-$usage_file = "/var/adm/rsyncd.log";
++$usage_file = "/var/log/rsyncd.log";
+ 
+ # Edit the following lines for default report settings.
+ # Entries defined here will be over-ridden by the command line.
